For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • GETGet loyalty program list
      • POSTCreate loyalty program
      • GETGet loyalty program Info
      • PUTUpdate loyalty program
      • PATCHPartially update loyalty program
      • DELDelete Loyalty Program
      • POSTPublish loyalty program
      • POSTCreate subscription
      • POSTCreate subscription member
      • DELDelete subscription member
      • DELDelete subscription
      • GETGet Subscription Data
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyProgram

Delete subscription

DELETE
https://api.brevo.com/v3/loyalty/config/programs/:pid/contact/:cid
DELETE
/v3/loyalty/config/programs/:pid/contact/:cid
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.program.deleteContactSubscription("pid", 1);
8}
9main();
Delete subscription for a contact
Was this page helpful?
Previous

Get Subscription Data

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID. A unique identifier for the loyalty program.
cidintegerRequired
Contact ID.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error